package Bot::Ouliword;

use strict;

use base qw(Bot::OuliBase);

use Word::EN::Wordnet;

sub grammar {
    return q{
	_statement : _speak
	    _speak : 'speak' /.+/ { return $self->expand(@item[1..$#item]) }
    };
}
	
sub expand {
    my ($self,$text) = @_;

    my @out;

    my @words = split(' ',$message);
    my $times = scalar(@words);
    $times = 2 if $times > 2;
    for (0..$times) {
        my $word = Word::EN::Wordnet->new( word => $words[rand @words] );
        my $over = $word->over;
        foreach (keys %{$over}) {
            push @out, @{$over->{$_}};
        }
    }
    my $string = join(' ',@return);
    $string = $self->chunk_irc_length($string) if length($string) > 457;
    return $string;
}

1;
