package Oulibot::Parsers::Google;

use base qw ( Oulibot::Parsers::Base );

sub parse_search {
    my $self = shift;
    my $text = shift;
    my @return;

    my @lines = split '\n', $text;
    foreach (@lines) {

        my $line = $_;

        next unless $line =~ m/<p><a/;
        $line =~ s/<b>//;
        $line =~ s/<\/b>//;

#        my $uri = ($line =~ m/(a href.*)>/);
        my ($x,$uri,$title,@rest) = split '>', $_;
        $uri =~ s/<a href=//;

        my $result = {title => $title, uri => $uri, desc => undef };
        push @return, $result;
    }
    return \@return;
}


