-- Table for page text content

CREATE TABLE pages (
  id int(10) unsigned NOT NULL auto_increment,
  content text,
  PRIMARY KEY  (id),
  FULLTEXT KEY content (content)
) TYPE=MyISAM;

-- main triplestore table for commentary on pages and storage of inputs etc

CREATE TABLE `triple` (
  `subject` varchar(255) NOT NULL default '',
  `pred` varchar(100) NOT NULL default '',
  `object` blob NOT NULL,
  PRIMARY KEY  (`subject`,`pred`,`object`(100)),
  KEY `subject` (`subject`),
  KEY `pred` (`pred`),
  KEY `object` (`object`(100))
) TYPE=MyISAM;

-- a separate triplestore for translated words

CREATE TABLE `words` (
  `subject` varchar(100) NOT NULL default '',
  `pred` varchar(100) NOT NULL default '',
  `object` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`subject`,`pred`,`object`),
  KEY `subject` (`subject`),
  KEY `pred` (`pred`),
  KEY `object` (`object`)
) TYPE=MyISAM;

-- a separate triplestore for the irc bot memories

CREATE TABLE `oulibot` (
  `subject` varchar(100) NOT NULL default '',
  `pred` varchar(100) NOT NULL default '',
  `object` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`subject`,`pred`,`object`),
  KEY `subject` (`subject`),
  KEY `pred` (`pred`),
  KEY `object` (`object`)
) TYPE=MyISAM;

