package Bot::BaseBot;

use strict;
use base qw( Bot::BasicBot );
use Class::MethodMaker get_set => [qw( module )];

sub bot {
    my ($self,$module) = @_;
    return $self->{'_'.$module} if $self->{'_'.$module};
    my $class = 'Bot::'.ucfirst($module);
    eval "require $class";
    die $@ if $@;
    $self->{'_'.$module} = $class->new;
}

sub said {
    my ($self,$said) = @_;
    my $module = $self->module or die "supply a module => 'oulifoo' to Bot::BaseBot";
    my $bot = $self->bot($module);
    my $response = $bot->said($said); 
    if ($response && $response->{body}) {
	if ($response->{body} =~ m/\n/) {
	    my @lines = split("\n",$response->{body})
;
	    foreach (@lines) {
		my $say = $response;
		$say->{body} = $_;
		$self->say($say);
	    }
	}
	else {
	    $self->say($response);
	}
    }
    return undef;
}

1;

    
    
