package Bot::Ouligrab;

use base qw(Bot::OuliBase);
use Oulibot::Grabber;

sub grammar {
    return q{
	_statement : _read
	_read : 'read' /.+/ { return $self->grab(@item[2..$#item]) }
    };

}

sub grabber {
    my $self = shift;
    return $self->{grabber} if $self->{grabber};
    $grab = Oulibot::Grabber->new;
    $self->{grabber} = $grab;
    return $self->{grabber};
}

sub grab {
    my ($self,$uri) = @_;

    my $grabber = $self->grabber;
    $self->forkit({channel => '#oulibot',
                   run => \&grab_it,
                   body => $uri,
                   arguments => [$grabber]});
}

sub grab_it {
    my ($uri,$grabber) = @_;
    my $liked = $grabber->grab($uri);
    return $liked if $liked;
}


1;







