package Bot::Oulilearn;

use base qw(Bot::OuliBase);
use Oulibot::Grabber;

{
    my $grab;
    sub grabber {
        my $self = shift;
        return $self->{grabber} if $self->{grabber};
        $grab = Oulibot::Grabber->new;
        $self->{grabber} = $grab;
        return $self->{grabber};
    }
}

sub said {
    my ($self,$said) = @_;
    my ($action,$uri) = $self->listen($said);
#    warn("got $action $uri");
    return if not $action;

    my $grabber = $self->grabber;
    warn("grabbing $uri");
    $self->forkit({channel => $self->mind,
                   run => \&grab_it,
                   body => $uri,
                   arguments => [$grabber]});

    return undef;
}

sub grab_it {
    my ($uri,$grabber) = @_;
    say("foo");
    print("grabbit: $uri");
    say($grabber->grab_as_xhtml($uri));
    return undef;
}

1;







